<template>
  <b-row>
    <div v-for="article in question.choices" v-bind:key="article.sku" @click="setChoice(article.sku)">
      <Article :isSelected="answer === article.sku" :article="article"></Article>
    </div>
  </b-row>
</template>

<script>
import Article from "@/components/configuration/Article";
import {CONF_ANSWER_SET} from "@/store/actions/configuration";

export default {
  name: "ArticleChoiceField",
  props: {
    questionSetReference: String,
    question: Object,
    answer: String
  },
  components: {
    Article
  },
  methods: {
    setChoice: function(sku){
      this.$store.dispatch(CONF_ANSWER_SET, {
        questionSetReference: this.questionSetReference,
        questionReference: this.question.reference,
        answer: sku
      })
    }
  }
}
</script>

<style scoped>

</style>
